Create Doc Folder
Create a folder for organizing workspace docs. Pass `parentId` to nest the new folder under an existing one, or omit (or null) to create at the top level. Auto-suffixes the name on sibling collisions up to 100 attempts; beyond that returns 409.
POST
/api/v1/docs/foldersAuthorization
ApiKeyAuth Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/docs/folders" \ -H "Content-Type: application/json" \ -d '{ "workspaceId": "string", "name": "string" }'{ "success": true, "data": { "folder": { "id": "string", "workspaceId": "string", "parentId": "string", "name": "string", "isSystem": true, "sortOrder": 0, "color": "string", "createdBy": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } }}